Package com.google.android.exoplayer2.util

## Class GlUtil.GlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.util.GlUtil.GlException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    GlUtil

      public static final class GlUtil.GlException
      extends Exception

  Thrown when an OpenGL error occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlException​(String message)` | Creates an instance with the specified error message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlException

          public GlException​(String message)

      Creates an instance with the specified error message.